## com.google.appengine.api.datastore
Class Index.Property

    java.lang.Object
      com.google.appengine.api.datastore.Index.Property

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Index

    public static class Index.Property

extends java.lang.Object
implements java.io.Serializable

An indexed property.

See Also:
  Serialized Form

Method Summary
`boolean` `equals(java.lang.Object obj)`
`Query.SortDirection` `getDirection()`
`java.lang.String` `getName()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

### getDirection

    public Query.SortDirection getDirection()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`